# AttributeHandleValuePairSetImp Class Reference

`#include <RTItypesImp.hh>`

Inheritance diagram for AttributeHandleValuePairSetImp:

[legend]

List of all members.

## Public Member Functions
| AttributeHandleValuePairSetImp (ULong)
| AttributeHandleValuePairSetImp (const std::vector< AttributeHandleValuePair_t > &)
virtual | ~AttributeHandleValuePairSetImp ()
virtual ULong | size () const
virtual Handle | getHandle (ULong) const throw (RTI::ArrayIndexOutOfBounds)
virtual ULong | getValueLength (ULong) const throw (RTI::ArrayIndexOutOfBounds)
virtual void | getValue (ULong, char *, ULong &) const throw (RTI::ArrayIndexOutOfBounds)
virtual char * | getValuePointer (ULong, ULong &) const throw (RTI::ArrayIndexOutOfBounds)
virtual TransportType | getTransportType (ULong) const throw (RTI::InvalidHandleValuePairSetContext)
virtual OrderType | getOrderType (ULong) const throw (RTI::ArrayIndexOutOfBounds, RTI::InvalidHandleValuePairSetContext)
virtual RTI::Region * | getRegion (ULong) const throw (RTI::ArrayIndexOutOfBounds, RTI::InvalidHandleValuePairSetContext)
virtual void | add (Handle, const char *, ULong) throw (RTI::ValueLengthExceeded, RTI::ValueCountExceeded)
virtual void | remove (Handle h) throw (RTI::ArrayIndexOutOfBounds)
virtual void | moveFrom (const AttributeHandleValuePairSet &, ULong &) throw (RTI::ValueCountExceeded, RTI::ArrayIndexOutOfBounds)
virtual void | empty ()
virtual ULong | start () const
virtual ULong | valid (ULong i) const
virtual ULong | next (ULong i) const
const std::vector < AttributeHandleValuePair_t > & | getAttributeHandleValuePairs () const
## Protected Attributes
std::vector < AttributeHandleValuePair_t > | _set
OrderType | _order
TransportType | _transport

## Detailed Description

Definition at line 63 of file RTItypesImp.hh.

## Constructor & Destructor Documentation

AttributeHandleValuePairSetImp | ( | ULong | size | ) |

Definition at line 38 of file RTItypesImp.cc.

References AttributeHandleValuePairSetImp::_order, AttributeHandleValuePairSetImp::_set, AttributeHandleValuePairSetImp::_transport, certi::RECEIVE, and certi::RELIABLE.

AttributeHandleValuePairSetImp | ( | const std::vector< AttributeHandleValuePair_t > & | val | ) |

Definition at line 46 of file RTItypesImp.cc.

References AttributeHandleValuePairSetImp::_order, AttributeHandleValuePairSetImp::_transport, certi::RECEIVE, and certi::RELIABLE.

~AttributeHandleValuePairSetImp | ( |  | ) | `[virtual]`

Definition at line 53 of file RTItypesImp.cc.

## Member Function Documentation

ULong size | ( |  | ) | const`[virtual]`

Implements RTI::AttributeHandleValuePairSet.

Definition at line 57 of file RTItypesImp.cc.

References AttributeHandleValuePairSetImp::_set.

Referenced by AttributeHandleValuePairSetImp::getHandle(), AttributeHandleValuePairSetImp::getValue(), AttributeHandleValuePairSetImp::getValueLength(), and AttributeHandleValuePairSetImp::getValuePointer().

Handle getHandle | ( | ULong | i | ) | const throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::AttributeHandleValuePairSet.

Definition at line 62 of file RTItypesImp.cc.

References AttributeHandleValuePairSetImp::_set, and AttributeHandleValuePairSetImp::size().

Here is the call graph for this function:

ULong getValueLength | ( | ULong | i | ) | const throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::AttributeHandleValuePairSet.

Definition at line 71 of file RTItypesImp.cc.

References AttributeHandleValuePairSetImp::_set, and AttributeHandleValuePairSetImp::size().

Here is the call graph for this function:

void getValue | ( | ULong | i,
|  | char * | buff,
|  | ULong & | len |
| ) |  |  | const throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::AttributeHandleValuePairSet.

Definition at line 80 of file RTItypesImp.cc.

References AttributeHandleValuePairSetImp::_set, and AttributeHandleValuePairSetImp::size().

Here is the call graph for this function:

char * getValuePointer | ( | ULong | i,
|  | ULong & | len |
| ) |  |  | const throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::AttributeHandleValuePairSet.

Definition at line 92 of file RTItypesImp.cc.

References AttributeHandleValuePairSetImp::_set, and AttributeHandleValuePairSetImp::size().

Here is the call graph for this function:

TransportType getTransportType | ( | ULong |  | ) | const throw (RTI::InvalidHandleValuePairSetContext)`[virtual]`

Implements RTI::AttributeHandleValuePairSet.

Definition at line 104 of file RTItypesImp.cc.

References AttributeHandleValuePairSetImp::_transport.

OrderType getOrderType | ( | ULong |  | ) | const throw (RTI::ArrayIndexOutOfBounds, RTI::InvalidHandleValuePairSetContext)`[virtual]`

Implements RTI::AttributeHandleValuePairSet.

Definition at line 110 of file RTItypesImp.cc.

References AttributeHandleValuePairSetImp::_order.

RTI::Region * getRegion | ( | ULong |  | ) | const throw (RTI::ArrayIndexOutOfBounds, RTI::InvalidHandleValuePairSetContext)`[virtual]`

Implements RTI::AttributeHandleValuePairSet.

Definition at line 116 of file RTItypesImp.cc.

void add | ( | Handle | h,
|  | const char * | str,
|  | ULong | len |
| ) |  |  | throw (RTI::ValueLengthExceeded, RTI::ValueCountExceeded)`[virtual]`

Implements RTI::AttributeHandleValuePairSet.

Definition at line 122 of file RTItypesImp.cc.

References AttributeHandleValuePairSetImp::_set.

void remove | ( | Handle | h | ) | throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::AttributeHandleValuePairSet.

Definition at line 128 of file RTItypesImp.cc.

References AttributeHandleValuePairSetImp::_set.

void moveFrom | ( | const AttributeHandleValuePairSet & | ,
|  | ULong & |  |
| ) |  |  | throw (RTI::ValueCountExceeded, RTI::ArrayIndexOutOfBounds)`[virtual]`

Definition at line 142 of file RTItypesImp.cc.

void empty | ( |  | ) | `[virtual]`

Implements RTI::AttributeHandleValuePairSet.

Definition at line 148 of file RTItypesImp.cc.

References AttributeHandleValuePairSetImp::_set.

ULong start | ( |  | ) | const`[virtual]`

Implements RTI::AttributeHandleValuePairSet.

Definition at line 153 of file RTItypesImp.cc.

ULong valid | ( | ULong | i | ) | const`[virtual]`

Implements RTI::AttributeHandleValuePairSet.

Definition at line 159 of file RTItypesImp.cc.

ULong next | ( | ULong | i | ) | const`[virtual]`

Implements RTI::AttributeHandleValuePairSet.

Definition at line 165 of file RTItypesImp.cc.

const std::vector< AttributeHandleValuePair_t > & getAttributeHandleValuePairs | ( |  | ) | const

Definition at line 172 of file RTItypesImp.cc.

References AttributeHandleValuePairSetImp::_set.

## Member Data Documentation

std::vector<AttributeHandleValuePair_t> _set`[protected]`

Definition at line 112 of file RTItypesImp.hh.

Referenced by AttributeHandleValuePairSetImp::add(), AttributeHandleValuePairSetImp::AttributeHandleValuePairSetImp(), AttributeHandleValuePairSetImp::empty(), AttributeHandleValuePairSetImp::getAttributeHandleValuePairs(), AttributeHandleValuePairSetImp::getHandle(), AttributeHandleValuePairSetImp::getValue(), AttributeHandleValuePairSetImp::getValueLength(), AttributeHandleValuePairSetImp::getValuePointer(), AttributeHandleValuePairSetImp::remove(), and AttributeHandleValuePairSetImp::size().

OrderType _order`[protected]`

Definition at line 113 of file RTItypesImp.hh.

Referenced by AttributeHandleValuePairSetImp::AttributeHandleValuePairSetImp(), and AttributeHandleValuePairSetImp::getOrderType().

TransportType _transport`[protected]`

Definition at line 114 of file RTItypesImp.hh.

Referenced by AttributeHandleValuePairSetImp::AttributeHandleValuePairSetImp(), and AttributeHandleValuePairSetImp::getTransportType().

The documentation for this class was generated from the following files:

- RTItypesImp.hh
- RTItypesImp.cc